This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1024768 - [abrt] libreoffice-core-4.1.2.3-3.fc20: os::die: Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 6 (SIGABRT)
[abrt] libreoffice-core-4.1.2.3-3.fc20: os::die: Process /usr/lib64/libreoffi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:327dcd563f63f46ac10d507b899...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 07:41 EDT by Philipp Dreimann
Modified: 2014-08-06 11:04 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 11:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (100.59 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: core_backtrace (81.00 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: dso_list (26.60 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: environ (4.15 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: hs_err.log (144.09 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: maps (126.80 KB, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: open_fds (553 bytes, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details
File: var_log_messages (386 bytes, text/plain)
2013-10-30 07:42 EDT, Philipp Dreimann
no flags Details

  None (edit)
Description Philipp Dreimann 2013-10-30 07:41:48 EDT
Version-Release number of selected component:
libreoffice-core-4.1.2.3-3.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --impress --splash-pipe=5
crash_function: os::die
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.11.6-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 os::die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1603
 #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1057
 #4 crash_handler at /usr/src/debug/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64/openjdk/hotspot/src/os/linux/vm/vmError_linux.cpp:106
 #6 ??
 #7 os::abort at /usr/src/debug/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1584
 #8 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1053
 #9 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc20.x86_64/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:531
 #11 sdr::contact::ViewContact::GetViewObjectContact at /usr/src/debug/libreoffice-4.1.2.3/svx/source/sdr/contact/viewcontact.cxx:102
 #12 sdr::contact::ViewObjectContact::getPrimitive2DSequenceSubHierarchy at /usr/src/debug/libreoffice-4.1.2.3/svx/source/sdr/contact/viewobjectcontact.cxx:416
 #13 sdr::contact::ViewObjectContactOfPageHierarchy::getPrimitive2DSequenceHierarchy at /usr/src/debug/libreoffice-4.1.2.3/svx/source/sdr/contact/viewobjectcontactofsdrpage.cxx:441

Potential duplicate: bug 706076
Comment 1 Philipp Dreimann 2013-10-30 07:42:00 EDT
Created attachment 817420 [details]
File: backtrace
Comment 2 Philipp Dreimann 2013-10-30 07:42:04 EDT
Created attachment 817421 [details]
File: cgroup
Comment 3 Philipp Dreimann 2013-10-30 07:42:08 EDT
Created attachment 817422 [details]
File: core_backtrace
Comment 4 Philipp Dreimann 2013-10-30 07:42:12 EDT
Created attachment 817423 [details]
File: dso_list
Comment 5 Philipp Dreimann 2013-10-30 07:42:18 EDT
Created attachment 817424 [details]
File: environ
Comment 6 Philipp Dreimann 2013-10-30 07:42:25 EDT
Created attachment 817425 [details]
File: hs_err.log
Comment 7 Philipp Dreimann 2013-10-30 07:42:29 EDT
Created attachment 817426 [details]
File: limits
Comment 8 Philipp Dreimann 2013-10-30 07:42:33 EDT
Created attachment 817427 [details]
File: maps
Comment 9 Philipp Dreimann 2013-10-30 07:42:36 EDT
Created attachment 817428 [details]
File: open_fds
Comment 10 Philipp Dreimann 2013-10-30 07:42:40 EDT
Created attachment 817429 [details]
File: proc_pid_status
Comment 11 Philipp Dreimann 2013-10-30 07:42:44 EDT
Created attachment 817430 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-10-31 05:45:06 EDT
Is this reproducible ?
Comment 13 Philipp Dreimann 2013-10-31 10:52:00 EDT
I do not know which action caused the crash.
Comment 14 Jared Smith 2013-11-22 14:14:34 EST
I know what caused my similar crash -- I was trying to resize the header region in the report design view.  When I adjusted the size, the program crashed.
Comment 15 Michael Stahl 2014-03-07 15:50:40 EST
Jared, sorry we evidently missed your last comment;
does the crash still happen in latest package versions?

i've tried to play with resizing headers in Report Builder
for a few minutes in 4.1.x, but no crash; probably
there needs to be specific content in the report in order to crash?

can you attach a file where it's always crashing?
Comment 16 Michael Stahl 2014-08-06 11:04:54 EDT
sorry, can't fix without reproducer

Note You need to log in before you can comment on or make changes to this bug.